Bug 735188

Summary: building vsphere image w/ factory/oz crashes libvirtd, cannot send monitor command '{"execute":"query-blockstats"}'
Product: [Fedora] Fedora Reporter: wes hayutin <whayutin>
Component: libvirtAssignee: Libvirt Maintainers <libvirt-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: urgent    
Version: 15CC: akarol, berrange, clalance, crobinso, dajohnso, deltacloud-maint, dougsland, itamar, jforbes, jlaska, laine, ssachdev, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-06-06 20:34:13 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
factory log none

Description wes hayutin 2011-09-01 14:01:43 EDT
Created attachment 521069 [details]
factory log

Description of problem:

Sep  1 13:43:16 dell-pe2900-02 dnsmasq-dhcp[28752]: DHCPACK(virbr0) 192.168.122.187 52:54:00:2a:ab:05 
Sep  1 13:54:54 dell-pe2900-02 kernel: [ 7996.512869] virbr0: port 1(vnet0) entering forwarding state
Sep  1 13:54:54 dell-pe2900-02 kernel: [ 7996.524902] virbr0: port 1(vnet0) entering disabled state
Sep  1 13:54:54 dell-pe2900-02 kernel: [ 7996.535920] device vnet0 left promiscuous mode
Sep  1 13:54:54 dell-pe2900-02 kernel: [ 7996.544826] virbr0: port 1(vnet0) entering disabled state
Sep  1 13:54:54 dell-pe2900-02 kernel: [ 7996.555807] virbr0: mixed no checksumming and other settings.
Sep  1 13:54:54 dell-pe2900-02 libvirtd: 13:54:54.834: 28690: error : qemuMonitorJSONCommandWithFd:238 : cannot send monitor command '{"execute":"query-blockstats"}': Connection reset by peer
Sep  1 13:54:55 dell-pe2900-02 systemd[1]: libvirtd.service: main process exited, code=killed, status=6


libvirtd.service - LSB: daemon for libvirt virtualization API
	  Loaded: loaded (/etc/rc.d/init.d/libvirtd)
	  Active: active (exited) since Thu, 01 Sep 2011 13:11:31 -0400; 46min ago
	Main PID: 28688 (code=killed, signal=ABRT)
	  CGroup: name=systemd:/system/libvirtd.service
		  └ 28752 /usr/sbin/dnsmasq --strict-order --bind-interfaces --pid-file=/var/run/libvirt/network/default.pid --conf-file= --
Comment 1 wes hayutin 2011-09-01 14:02:46 EDT
[root@dell-pe2900-02 ~]# aeolus-image build --target ec2,vsphere --template /root/RHEL61.tpl 

Target Image: 60f7f217-4231-4eca-9f63-c58ab165d88b
Image: 11171cb0-68dc-4d44-8dd8-db1f325534d9
Build: 3c9cbb21-e354-4197-9d35-6bc43cdb039b
Status: COMPLETED
Percent Complete: 100

Target Image: a23ed5a9-3d34-46f4-9251-4444f4729057
Image: 11171cb0-68dc-4d44-8dd8-db1f325534d9
Build: 3c9cbb21-e354-4197-9d35-6bc43cdb039b
Status: New
Percent Complete: 0


[root@dell-pe2900-02 ~]# cat /root/RHEL61.tpl 
<template>
  <name>RHEL_westest01</name>
  <os>    
    <name>RHEL-6</name>    
    <version>1</version>
    <arch>x86_64</arch>
    <rootpw>dog8code</rootpw>
    <install type="url">
      <url>http://download.devel.redhat.com/released/RHEL-6-Server/6.1/x86_64/os/</url>
    </install>
  </os>
  <description>RHEL61 x86_64 </description>
</template>
[root@dell-pe2900-02 ~]#
Comment 2 wes hayutin 2011-09-01 14:03:32 EDT
[root@dell-pe2900-02 ~]# rpm -qa | grep aeolus
aeolus-configure-2.0.2-2.20110830113535git906f985.fc15.noarch
aeolus-conductor-doc-0.4.0-0.20110830153514gita887274.fc15.noarch
aeolus-conductor-daemons-0.4.0-0.20110830153514gita887274.fc15.noarch
rubygem-aeolus-image-0.1.0-3.20110824113236git15b6922.fc15.noarch
aeolus-all-0.4.0-0.20110830153514gita887274.fc15.noarch
aeolus-conductor-0.4.0-0.20110830153514gita887274.fc15.noarch
[root@dell-pe2900-02 ~]# rpm -qa |grep imagefactory
rubygem-imagefactory-console-0.5.0-4.20110824113238gitd9debef.fc15.noarch
imagefactory-0.4.1-2.fc15.noarch
[root@dell-pe2900-02 ~]# rpm -qa |grep oz
oz-0.6.0-1.fc15.noarch
[root@dell-pe2900-02 ~]# rpm -qa | grep warehouse
[root@dell-pe2900-02 ~]# rpm -qa | grep iwhd
iwhd-0.98.1.d6c4-1.fc15.x86_64
[root@dell-pe2900-02 ~]#
Comment 3 Fedora Admin XMLRPC Client 2011-09-22 13:53:27 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-09-22 13:57:22 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-11-30 15:04:08 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-11-30 15:04:21 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-11-30 15:08:30 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2011-11-30 15:08:35 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Cole Robinson 2012-06-06 20:34:13 EDT
Sorry for the lack of response, but F15 is end of life real soon, so closing as WONTFIX.

Wes, if you can still reproduce with a more recent Fedora, please reopen this report and we can go from there.